<?php
/*****************************************************************************/
/**************************** HERRAMIENTA HOSPI ******************************/
/*************************** MÓDULO MEMORIAS.PHP *****************************/
/** DESCRIPCIÓN: controla el flujo de ejecución del modulo memorias **********/
/*************************** AUTOR: EMILIO GARCIA MONTAÑO*********************/
/***************************DISEÑO DE APLICACIONES WEB ***********************/
/******************************** 2005/06 ************************************/
/*****************************************************************************/

require_once 'theme.php';
require_once 'config.php';
require_once 'security.php';
require_once 'memorias_api.php';
require_once 'usuarios_api.php';

$db=conectar();

/*MENU ENVIAR PETICION*/
if (isset($_GET["login"]) && isset($_GET["action"]) 
    && $_GET["action"] == "enviar_memoria" &&
    (comprobar_autenticacion ($db["Enlace"], $db["DBName"],$_GET["login"],1))
   )

  {
      cabecera_html("DAW :: Enviar Memoria");
      abrir_menu();
      agregar_item_menu("index.php?login=".$_GET["login"],"INICIO");
      agregar_item_menu("index.php?login=".$_GET["login"]."&action=logout",
			"SALIR");
      cerrar_menu();




    echo "<CENTER><FORM name=\"enviar_peticion\" method=\"POST\"";
    echo "ACTION='memorias.php?login=".$_GET["login"]."&action=enviar_memoria_accion'>";
    echo "Enlace <INPUT TYPE='text' name=\"enlace\" size=64><BR>";
    echo "<INPUT TYPE='submit' value='Enviar memoria'></FORM>";
    echo "<BR><FONT size=1>(Antepon http://)</FONT></CENTER>";

    terminar_html();


  }

/*ACCION ENVIAR PETICION*/
else if (isset($_GET["login"]) && isset($_GET["action"]) 
    && $_GET["action"] == "enviar_memoria_accion" &&
    (comprobar_autenticacion ($db["Enlace"], $db["DBName"],$_GET["login"],1))
   )

  {
   $memoria= new memorias;


      cabecera_html("DAW :: Enviar Memoria");
      abrir_menu();
      agregar_item_menu("index.php?login=".$_GET["login"],"INICIO");
      agregar_item_menu("index.php?login=".$_GET["login"]."&action=logout",
			"SALIR");
      cerrar_menu();

   
   if ($memoria->puede_introducir_memoria($db["Enlace"],$db["DBName"],$_GET["login"])==False)
    {
      echo "Ya ha realizado una entrega de memoria o no tiene una propuesta aceptada.";
    }

   else
    {
      $memoria->insertar($db["Enlace"],$db["DBName"],$_GET["login"],
                         $_POST["enlace"],"pendiente","");
      echo "Su memoria ha sido registrada.";
    }

   terminar_html();

  }

/*CONSULTAR ESTADO PETICION*/
else if (isset($_GET["login"]) && isset($_GET["action"]) 
    && $_GET["action"] == "consultar_memoria" &&
    (comprobar_autenticacion ($db["Enlace"], $db["DBName"],$_GET["login"],1))
   )

  {
    $memoria= new memorias;


      cabecera_html("DAW :: Estado Propuesta");
      abrir_menu();
      agregar_item_menu("index.php?login=".$_GET["login"],"INICIO");
      agregar_item_menu("index.php?login=".$_GET["login"]."&action=logout",
			"SALIR");
      cerrar_menu();

   
   if ($memoria->tiene_memoria($db["Enlace"],$db["DBName"],$_GET["login"])==False)
    {
      echo "Usted no ha enviado ninguna memoria aun.";
    }

   else /*MOSTRAR DATOS*/
    {
     $datos=$memoria->leer($db["Enlace"],$db["DBName"],$_GET["login"]);

    echo "<CENTER><FONT SIZE=3 COLOR=336699>CONSULTA ESTADO MEMORIA</FONT><BR><BR><BR><CENTER>";

     echo "<CENTER><FORM name=\"retirar\" method=\"POST\"";
     echo "ACTION='memorias.php?login=".$_GET["login"]."&action=retirar_memoria'>";
     echo "<TABLE><TR><TD><u><b>ENLACE</b></u><TD><TD><u><b>ESTADO</b></u><TD><TD><u><b>COMENTARIO DEL PROFESOR</b></u>";
     echo "<TR algin=up><TD>".$datos["enlace"]."";
     echo "<TD><TD>".$datos["estado"];
     echo "<TD><TD><TEXTAREA ROWS=5 COLS=32>".$datos["comentario"]."</TEXTAREA>";
     echo "<TR align='right'><TH colspan='4'><TD>";
     echo "<BR><INPUT TYPE='submit'value='Retirar'>";
     echo"</TABLE></FORM></CENTER>";

    }

   terminar_html();


  }

/*RETIRAR PETICION*/
else if (isset($_GET["login"]) && isset($_GET["action"]) 
    && $_GET["action"] == "retirar_memoria" &&
    (comprobar_autenticacion ($db["Enlace"], $db["DBName"],$_GET["login"],1))
   )

  {

   
      cabecera_html("DAW :: Retirar Memoria");
      abrir_menu();
      agregar_item_menu("index.php?login=".$_GET["login"],"INICIO");
      agregar_item_menu("index.php?login=".$_GET["login"]."&action=logout",
			"SALIR");
      cerrar_menu();

    $memoria = new memorias;
    $memoria->eliminar($db["Enlace"],$db["DBName"],$_GET["login"]);
    echo "Su memoria ha sido eliminada";

    terminar_html();
  }

/*GESTIONAR PETICIONES (TODAS)*/
else if (isset($_GET["login"]) && isset($_GET["action"]) && isset($_GET["id"])  
    && $_GET["action"] == "gestionar_memorias" &&
    (comprobar_autenticacion ($db["Enlace"], $db["DBName"],$_GET["login"],2) ||
     comprobar_autenticacion ($db["Enlace"], $db["DBName"],$_GET["login"],1))
   )

  {

      cabecera_html("DAW :: Gestionar Memorias");
      abrir_menu();
      agregar_item_menu("index.php?login=".$_GET["login"],"INICIO");
      agregar_item_menu("index.php?login=".$_GET["login"]."&action=logout",
			"SALIR");
      cerrar_menu();


   echo "<CENTER><FONT SIZE=3 COLOR=336699>GESTION MEMORIAS</FONT><BR><BR><BR><CENTER>";

   /*1º Elegir año en curso y todas o solo pendientes*/
   if ($_GET["id"]== "1")
    {
     $memoria= new memorias;
     $lista=$memoria->listar_cursos($db["Enlace"],$db["DBName"]);

     echo "Seleccione el curso y si mostrar todas o solo las pendientes<BR>";
     echo "<CENTER><FORM name=\"seleccion1\" method=\"POST\"";
     echo "ACTION='memorias.php?login=".$_GET["login"]."&action=gestionar_memorias&id=2'>";
     echo "<BR><SELECT NAME='cuales'>";
     if (comprobar_autenticacion ($db["Enlace"], $db["DBName"],$_GET["login"],2))  
     {echo "<OPTION value=0 label='todas'>";
      echo "Mostrar Todas</OPTION>";
      echo "<OPTION value=1 label='pendientes'>";
      echo "Mostrar Pendientes</OPTION>";
     }
     if (comprobar_autenticacion ($db["Enlace"], $db["DBName"],$_GET["login"],1))  
     {echo "<OPTION value=2 label='aceptadas'>";
      echo "Mostrar Aceptadas</OPTION>";
     }
    
     echo "</SELECT>";
     echo "<BR><SELECT NAME='curso'>";
     while ($Row = mysql_fetch_array($lista))
      {
       $aux1=$Row["curso"]-1;
       $aux2=$aux1."/".$Row["curso"];
       $aux3=$Row["curso"];
       echo "<OPTION value=$aux3 label=$aux2>";
       echo "Curso $aux2</OPTION>";
      }
     echo "</SELECT>";
     echo "<BR><INPUT TYPE='submit'value='Siguiente'>";
     echo"</FORM></CENTER>";

    }
   /*2º Mostrar la tabla perraca*/
   else if ($_GET["id"]== "2")
    {
     $memoria= new memorias;
     $lista=$memoria->listar_memorias($db["Enlace"],$db["DBName"],
                                         $_POST["curso"],$_POST["cuales"]);


     $i=0;
  if ($Row= mysql_fetch_array($lista))
    {
      
      echo "<center><table border = '1'
             cellspacing='0' cellpadding='10'> \n";
      echo "<tr> \n";
      echo "<td align=center><b>Nº Matricula</b></td> \n";
      echo "<td align=center><b>Estado</b></td> \n";
      echo "<td align=center><b>Curso</b></td> \n";
      echo "<td align=center><b>Enlace</b></td>";
      if (comprobar_autenticacion ($db["Enlace"], $db["DBName"],$_GET["login"],2)) 
       echo "<td align=center><b>Examinar</b></td>";
      echo "</tr> \n";
      do {
	echo "<tr> \n";
	
	if (($i%2)==0)
	  echo "<tr bgcolor = 'AFAFBF'>";
	else
	  echo "<tr bgcolor = 'BFCFFF'>";
	
	$i++;
	$aux=$Row["curso"]-1;
	echo "<td align=center>".$Row["login"]."</td> \n";
	echo "<td align=center>".$Row["estado"]."</td> \n";
	echo "<td align=center>".$aux."/".$Row["curso"]."</td> \n";
      echo "<td align=center>"."<a href='".$Row["enlace"]."' target='newwin'>"."enlace</a></td>\n";

      if (comprobar_autenticacion ($db["Enlace"], $db["DBName"],$_GET["login"],2)) 	
       {//link de Examinar
	$link="memorias.php?login=".$_GET["login"]."&action=examinar";	
	$link.="&it=".$Row["login"];
	?>
	  <td>
	     <A HREF="<?php echo ($link); ?>"> 
	     <center>Examinar
	     </center></td>

	  <?php	     
       }

	echo "</tr> \n";
      } while ($Row = mysql_fetch_array($lista));
      echo "</table><center> \n";
    }
  else 
    {
  ?>      
 <CENTER> 
    No hay memorias que cumplan estas condiciones.
    </CENTER>	
    <BR><BR>	
    <?php ;
    }



//FIN DEL PEGADO ESTE
    }


   terminar_html();

  }

/*GESTIONAR MEMORIAS (UNA)*/
else if (isset($_GET["login"]) && isset($_GET["action"]) && isset($_GET["it"])
    && $_GET["action"] == "examinar" &&
    (comprobar_autenticacion ($db["Enlace"], $db["DBName"],$_GET["login"],2))
   )

  {
   $memoria= new memorias;
   $pt=$memoria->leer($db["Enlace"],$db["DBName"],$_GET["it"]);

   $usr= new usuarios;
   $alumno = $usr->leer($db["Enlace"],$db["DBName"],$_GET["it"]);

   $opcion1=$pt["estado"];
   if ($opcion1=="pendiente")
    {
     $opcion2="aceptada";
     $opcion3="rechazada";
    }
   else if ($opcion1=="aceptada")
    {
     $opcion2="pendiente";
     $opcion3="rechazada";
    }
   else
    {
     $opcion2="aceptada";
     $opcion3="pendiente";
    }


   cabecera_html("DAW :: Gestionar Memorias");
   abrir_menu();
   agregar_item_menu("index.php?login=".$_GET["login"],"INICIO");
   agregar_item_menu("index.php?login=".$_GET["login"]."&action=logout",
			"SALIR");
   cerrar_menu();

   echo "<CENTER><FONT SIZE=3 COLOR=336699>EXAMEN MEMORIA</FONT><BR><BR><BR><CENTER>";

   echo "<CENTER><TABLE><FORM name=\"examen\" method=\"POST\"";
   echo "ACTION='memorias.php?login=".$_GET["login"]."&action=actualizar_memoria&it=";
   echo $_GET["it"]."'>";
   echo "<tr>";
   echo "<td><b>Nº Matricula:</b></td>";
   echo "<td>".$pt["login"]."</td>";
   echo "</tr>";
   echo "<tr>";
   echo "<td><b>Nombre:</b></td>";
   echo "<td>".$alumno["Nombre"]."</td>";
   echo "</tr>";
   echo "<tr>";
   echo "<td><b>Apellidos:</b></td>";
   echo "<td>".$alumno["Apellidos"]."</td>";
   echo "</tr>";
   echo "<tr>";
   echo "<td><b>E-mail:</b></td>";
   echo "<td>".$alumno["Correo_electronico"]."</td>";
   echo "</tr>";
   echo "<tr>";
   echo "<td><b>Enlace:</b></td>";
   echo "<td>"."<a href='".$pt["enlace"]."' target='newwin'>"."enlace</a></td>\n";
   echo "</tr>";
   echo "<tr>";
   echo "<td><b>Estado:</b></td>";
   echo "<td>";
   echo "<SELECT NAME='estado' value=rechazada>";
   echo "<OPTION value=$opcion1 label='$opcion1'>";
   echo "$opcion1</OPTION>";
   echo "<OPTION value=$opcion2 label='$opcion2'>";
   echo "$opcion2</OPTION>";
   echo "<OPTION value=$opcion3 label='$opcion3'>";
   echo "$opcion3</OPTION>";
   echo "</SELECT>";
   echo "</td>";
   echo "</tr>";
   echo "<tr>";
   echo "<td><b>Observaciones:</b></td>";
   echo "<td><TEXTAREA name=\"observacion\" value='' ROWS=5 COLS=32>";
   echo $pt["comentario"]."</TEXTAREA></td>";
   echo "</tr>";
   echo "<tr>";
   echo "<td></td><td align=center><br><INPUT TYPE='submit' value='Actualizar Memoria'></td>";
   echo "</FORM></TABLE></CENTER>";

   terminar_html();

  }

else if (isset($_GET["login"]) && isset($_GET["action"]) && isset($_GET["it"])
    && $_GET["action"] == "actualizar_memoria" &&
    (comprobar_autenticacion ($db["Enlace"], $db["DBName"],$_GET["login"],2))
   )

{
   cabecera_html("DAW :: Gestionar Memorias");
   abrir_menu();
   agregar_item_menu("index.php?login=".$_GET["login"],"INICIO");
   agregar_item_menu("index.php?login=".$_GET["login"]."&action=logout",
			"SALIR");
   cerrar_menu();


   $memoria= new memorias;
   $pt=$memoria->actualizar($db["Enlace"],$db["DBName"],$_GET["it"],
                             $_POST["estado"], $_POST["observacion"]);

   $usr= new usuarios;
   $alumno = $usr->leer($db["Enlace"],$db["DBName"],$_GET["it"]);
   $profesor = $usr->leer($db["Enlace"],$db["DBName"],$_GET["login"]);

/*ESTAS LINEAS ESTARIAN MEJOR EN LA API pero soy un perro ...*/
   $asunto="DAW::Cambio en el estado de tu memoria";
   $cuerpo="El nuevo estado de su memoria es: ".$_POST["estado"]."\n\n";
   $cuerpo.="Observaciones:\n".$_POST["observacion"] ;
   $cuerpo = wordwrap($cuerpo, 70);


   mail($alumno["Correo_electronico"], $asunto, $cuerpo, 
        null, "-f".$profesor["Correo_electronico"]);
/*FIN parte perra*/

   echo "Se ha actualizado debidamente la memoria y se le ha notificado al alumno.";
   


   terminar_html();
}

else 
{
  ?>      
		<CENTER><FONT SIZE=3 COLOR=FF0000>
		   <BR><BR>
		   <BR><BR>
		   <BR><BR>
		   ERROR <BR><BR> 
		   No tiene permisos para ver esta página
		</FONT></CENTER>		   
		   <?php  
		   ;

  //ERROR
} 

?>
